EDIT - bug #7814

Section in Name and section in Basionym, usability
10/09/2018 01:22 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Wolf-Henning Kusber % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.4

Severity: normal Found in Version:

Description

Bedienungsfehler mdglich, wenn neuer Name und Basionym jeweils eine In-Zitierung haben.
Vorgehen: Referenz eingeben, neuen Namen eingeben, aus der nomenklatorischen Referenz heraus Sektion anlegen (richtig).
Basionym

Vorgehen: Neuen Namen eingeben, neue Referenz als Artikel eingeben, abspeichern, Record wieder aufmachen, Section anlegen
wollen: Falsch, damit kann nur die korrekte bibliographische Referenz abgehangt werden (Screen shot)

Name editor

With basionym

With replaced synonym

Validation

Genus

Gom P honeis
Specific epithet

basiorobusta
Hint: Edit nomenclatural authors in the nomenclatural reference.

Nomenclatural reference

You, Q. & Kociolek, J.P. - in - undefined in reference -

Reference detail

12, fig

Korrektes Vorgehen:
Neuen Namen eingeben, neue Referenz mit Section-Autoren als Section eingeben und von da aus die neue Referenz eingeben.
Name editor

Species With basionym

With replaced synonym
Validation
Genus
Gomphoneis
Specific epithet
basiorobusta
Hint: Edit nomencilatural authors in the nomenclatural reference.
Nomenclatural reference
You, Q. & Kociolek, J.P. - in - undefined in reference -

Reference detail

12, fig

Das ist genau andersrum als von neuen Namen her gewohnt und kann zu Fehlern fihren.

Related issues:
Has duplicate EDIT - bug #7813: Basionym without journal Duplicate

Associated revisions

Revision 23cee55f - 10/12/2018 10:22 PM - Andreas Kohlbecker

fix #7814 CdmEditor not readlony with un-persisted entities and hiding delete button in this case

Revision 959b2¢17 - 10/24/2018 12:33 PM - Andreas Kohlbecker
ref #7830 ref #7814 fixing WeaklyRelatedEntityCombobox reset to textfield for genus in name editor

History

#1 - 10/09/2018 01:23 PM - Wolf-Henning Kusber

1. Screenshot sollte zeigen: You, Q. & Kociolek, J.P. - in You, Q., Kociolek, J.P. & Wang, X., New Gomphoneis Cleve (Bacillariophyceae:
Gomphonemataceae) species from Xinjiang Province, China. in Phytotaxa 103(1): 1-24. 2013

#2 - 10/09/2018 02:00 PM - Wolf-Henning Kusber

Es funktioniert nur die erste Version, die fir User etwas fehlerhaft wirkt.

Ich kann bei der Basionym-Referenz mit der Section anfangen, bei "in reference" ist dann Schluss, weil ich als User dann keine keine neue Referenz
mehr anlegen kann.

Zusammenfassend:
Ich kann vom Basionym aus immer nur einen Referenz-Editor 6ffnen, von da aus habe ich keine Rechte einen 2. neuen Referenz-Editor zu 6ffnen,
das ist doch eher ein bug.

#3 - 10/10/2018 12:01 PM - Andreas Kohlbecker
- Tracker changed from report to bug

- Project changed from PhycoBank to EDIT

- Category set to cdm-vaadin

- Priority changed from New to Highest
- Target version set to Release 5.4

- Severity set to normal

#4 - 10/10/2018 12:02 PM - Andreas Kohlbecker
- Has duplicate bug #7813: Basionym without journal added

#5 - 10/12/2018 10:25 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|23cee55fd9f05d189974daa67201c0f552¢216d3.

#6 - 10/22/2018 11:11 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

this is fixed now, please confirm

#7 - 10/24/2018 05:01 PM - Wolf-Henning Kusber

Test: New reference, new name, new basionym, new section in new reference - without error

#8 - 10/24/2018 05:27 PM - Wolf-Henning Kusber

- Status changed from Resolved to Worksforme

- % Done changed from 50 to 100

Test 2: Neuer Name, neuer Autor in neuer Referenz, mit neuem Journal, ohne Fehler.
Aber: ich habe noch nicht alle Méglichkeiten getestet.

#9 - 10/24/2018 06:22 PM - Andreas Kohlbecker

- Status changed from Worksforme to Closed

the status "worksforme" is applied to bug reports which can not be reproduced. In this context it means that there is nothing to do since it "works for
me"

Changing the status so "closed" instead
